# Uses of Class
serp.bytecode.CmpInstruction

Packages that use CmpInstruction
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of CmpInstruction in serp.bytecode

Methods in serp.bytecode that return CmpInstruction
Modifier and Type
Method
Description
`CmpInstruction`
Code.`dcmpg()`
Compare the top two stack values; the `dcmpg` opcode.
`CmpInstruction`
Code.`dcmpl()`
Compare the top two stack values; the `dcmpl` opcode.
`CmpInstruction`
Code.`fcmpg()`
Compare the top two stack values; the `fcmpg` opcode.
`CmpInstruction`
Code.`fcmpl()`
Compare the top two stack values; the `fcmpl` opcode.
`CmpInstruction`
Code.`lcmp()`
Compare the top two stack values; the `lcmp` opcode.
`CmpInstruction`
CmpInstruction.`setNaNValue(int nan)`
Set the number that will be placed on the stack if this instruction is of type float or double and one of the operands is NaN.
`CmpInstruction`
Code.`xcmp()`
Compare the top two stack values.

## Uses of CmpInstruction in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type CmpInstruction
Modifier and Type
Method
Description
`void`
BCVisitor.`enterCmpInstruction(CmpInstruction obj)`
`void`
BCVisitor.`exitCmpInstruction(CmpInstruction obj)`